Terms of Use

License terms

Image Eye is, for non-commercial use, licensed to you as donationware. This is a type of freeware. There's no fee to use it, no nag boxes, no advertising, no time limit, no reg-codes, no crippled features. However we do make this plea, that if you like it and use it, you can/should to make a voluntary donation - both as a "thank you", and to support the continued development of Image Eye.

For commercial use, there is a small license fee.

To make a donation, or to license it for commercial use, please visit: http://www.fmjsoft.com/imageeye.html

Copyrights

The program and its components are copyrighted by FMJ-Software. It may not be modified or altered in any way whatsoever without prior written consent from the author.

All trademarks, service marks and other registered names thay may be mentioned, are the property of their respective owners.
GIF(sm.) is a Service Mark property of CompuServe Inc.
JPEG(sm.) is a Service Mark of the Joint Photographics Experts Group.
This software is based, in part, on the work of the Independent JPEG Group.

Distribution notice

Subject to conditions listed below, you (an individual or an entity) are hereby authorized to freely keep, distribute and multiply copies of the original distribution archive for this software with, through and on, Internet web-sites and equivalent information and on-line services, on a physical media of your choice (USB-memory sticks, network disks, CD-ROM's, data DVD's, et c), as well as include it on media accompanying printed magazines - free of charge!

- All the files from the original distribution archive must be included in completely unmodified form.

- Our license terms must not be compromised.

Disclaimer of warranty

FMJ-Software exclude any and all implied warranties, including warranties of merchantability and fitness for a particular purpose Nor does FMJ-Software make any warranty of representation, either express or implied, with respect to this product, its quality, performance, functionality or fitness for a particular purpose. Nor shall FMJ-Software have any liability for special, incidental, or consequential damages arising out of or resulting from any use of this product. Nor shall FMJ-Software have any responsibilities or any obligations whatsoever to provide support for this product. Nor shall FMJ-Software have any responsibilities whatsoever to provide upgrades or bug fixes of any kind.


Welcome

Image Eye, Copyright 1993, 2013, FMJ-Software, All rights reserved

Welcome to Image Eye!

Feature high-lights:

  • The only image viewer you need for viewing & browsing images.
  • Clean with no unnecessary menus and toolbars wasting your desktop space.
  • Uncompromising with the image quality.
  • Small and very fast, highly tuned code.
  • Reads all common image file formats.
  • It's easy to rotate, mirror, zoom, pan, and adjust contrast, brightness, sharpness, hue, saturation, gamma, et c.
  • Image adjustments can be saved non-destructively and automatically reapplied when you next open the image.
  • There's an image index feature with very fast thumbnail-icon creation.
  • It does not attempt to be a half-baked editor, format converter, or media player.
  • It does include a simple slide show scripting language.
  • The user interface has been translated to several languages.

Features for the tech-nerds:

  • Asynchronous file I/O: Images are decompressed at the same time as data is being read - i.e. it doesn't wait for file reads to finish before starting to decode.
  • Speculative decoding & caching of images: While you view a file, the next file in the directory is invisibly being decoded, so that it can be brought up very quickly. And when you move to a new image, the old one is remembered (if memory allows), so that there's no delay if you toggle back and forth between two images.
  • Data parallelism exploitation: Many heavy computational tasks are considerably sped up by using SSE2 and SSSE3 instructions (if your CPU supports it). These "SIMD instructions" work on 4, 8 or even 16 numbers in parallel.
  • Task parallelism exploitation: Heavy computational work is considerably sped up by dividing big jobs into smaller tasks that are distributed on multiple CPU cores (if available). Work stealing and dynamic load balancing techniques ensure that all cores are busy.
  • Hand tuned code optimizations: Certain critical sections are optimized by hand either in assembly code, or using compiler intrinsics.
  • Code branching: Common cases are handled using specialized code that is faster than the generic routines.
  • High quality resampling: All resampling (image resizing) is done using Catmull-Rom interpolation - arguably the best 4x4 kernel filter.
  • Text meta data handling: Text info tags can be read from several formats - Adobe XMP, IPTC IMM, EXIF, PNG, TIFF tags, PSD, GIF and JPEG comments.

In the following section you will be given basic instructions on how to use the rather minimalistic user interface.

Quick Start

When you start the program (e.g. by using Start → All Programs → Image Eye), the first thing you see is an Open image file dialog. Here you browse for the image file that you want to view. When a file is selected, you'll see both a small preview of it and a bit of file information. A lot of different File formats are supported. The Index button brings up a special window that shows small thumbnail icons of all the images in the current directory. To see the image in full size, click View.

If everything goes well, the image turns up in a window. A special feature of Image Eye is this window is free from scroll bars, tool bars, and menus, which otherwise would occupy precious space and clutter up your desktop. Even the window title bar and the borders are hidden when you move the mouse cursor outside of the image (NB; this feature can be disabled if you don't like it).

If the image is larger than the window, the mouse cursor will change shape when it's on top of the window, indicating in which directions it can be scrolled. To scroll it, you press down the left mouse button and drag the image (as an alternative you can scroll with the number-keys on the numeric keyboard). If you have a mouse with a mouse wheel, you can also that too to scroll vertically. Holding down the Alt-key disables the scroll-cursor.

When the cursor is a normal pointer (i.e. not the scroll-cursor) you can move the whole window easily by dragging it with the left mouse button.

If you double-click with the left button on the image (or alternatively hit Alt-Enter on the keyboard), the window is maximized to full-screen mode (or restored to a window if it already was maximized).

Now you may ask: Where's the program menu? Click with the right mouse button anywhere in the window and it will pop-up! The complete set of menu commands are described in the Viewer commands and Index commands sections.

E.g. try right click → View → Adjust image... where you can change such things as contrast, sharpness, color saturation, and do gamma correction. Note that you can also save these adjustments so that they will be remembered and automatically re-applied the next time that you open the image file (this does not modify the original image file in any way whatsoever - the adjustments are stored in a separate '.iea' file).

Many commands have one or more keyboard short-cuts. These are listed to the right of the command name in the pop-up menu.

There many ways that you can open an image file:

  1. Run Image Eye.exe, select one ore more files in the dialog box that pops up and click View.

  2. Open an index window, then click on one of the thumb-nail icons. You can bring up an index window by either clicking the Index button in the Open image file dialog, or by right clicking on a directory in any part of the Windows shell (e.g. the Windows Explorer) and selecting View as Image Eye index.

  3. If Image Eye has been associated with a file type; then just open the file from the Windows Explorer.

  4. In a running Image Eye window, select Spawn new (new window) or Load new (replaces current) from the menu.

  5. Drag an image file from the Windows Explorer to an already open Image Eye window.

  6. In an open image window, press PgDn / PgUp (or Space / Back-Space, or mouse browse buttons), to display the Next / Previous image.

  7. Hold down the left mouse button and scroll with the mouse wheel to browse among the images in the directory.

BTW, if you run Image Eye.exe on a computer where it has not been installed through its Setup.exe, then settings are not remembered - and nothing will be stored in the registry et c, thus leaving an entirely 'untouched' system. This is useful e.g. if you run it from a USB-key on a borrowed computer.

A feature that deserves a special explanation is freeze mode. Using View → Freeze window, you can lock the image window into its current position on the desktop (with no menu bars or anything) and the only thing you can do with it then is right click on it to bring up a menu with a few select commands (e.g. Unfreeze window). If you shut down Windows without manually closing a frozen window, it will automatically load and show in same position the next time you boot up. This can e.g. be useful for sticking photographs of near and dear ones onto your desktop.

Enjoy using Image Eye!

Created by: FMJ-Software, c/o Dimdal, Katrinebergsbacken 30, 117 61 Stockholm, Sweden


File formats

File format support

The follow file formats can be read:

    Ext. | Format description
BBM | DeluxePaint brush.
BMP | Windows bitmap format.
CAL | Computer Aided Acquisition and Logistics Support format.
CALS | Computer Aided Acquisition and Logistics Support format.
CUR | Windows cursor.
DDS | DirectDraw surface.
DIB | Windows device independent bitmap.
IFF | Interchange file format.
FIT | Flexible image transport system.
FITS | Flexible image transport system.
GIF | Graphics interchange format.
ICO | Windows icon.
JIF | JPEG image file.
JPEG | JPEG format.
JPG | JPEG format.
LBM | DeluxePaint bitmap.
NEO | Neochrome image.
PCX | PC Paintbrush image.
PNG | Portable network graphics.
PSD | PhotoShop format.
RAS | Computer Aided Acquisition and Logistics Support format.
RAW | Raw image description file.
RLE | Windows RLE compressed bitmap.
TGA | TARGA format.
TIF | Tag image file format.
TIFF | Tag image file format.


Viewer commands

Clicking with the right mouse button anywhere on the image viewer window brings up a context menu with these commands:

Load new...Opens a new image in the current window. [O, F3]
Spawn new...Opens a new image file in a new window. [N, F4]

Next image fileDisplay the next image file in the directory. [PgDn, Space]
Previous image fileDisplay the previous image file in the directory. [PgUp, BackSpace]

File →
Load new...
Opens a new image in the current window. [O, F3]
Next image file
 Display the next image file in the directory. [PgDn, Space]
Previous image file
Display the previous image file in the directory. [PgUp, BackSpace]
First image file in directory
Display the first image file in the directory. [Home]
Last image file in directory
Display the last image file in the directory. [End]
Close all image windows
Closes all Image Eye windows. [c-a-X]

Spawn new...
Opens a new image file in a new window. [N, F4]
Spawn next image
 Open the next image file in a new window. [c-PgDn, c-Space]
Spawn previous image
Open the previous image file in a new window. [c-PgUp, c-BackSpace]

Image file information...
View information about the image and the file. [F]
Save as...
Save the image in .BMP format.
Reload from file
Reloads and displays the current image file [F5].

Copy file...
Copy the current image file on disk. [a-C]
Move file...
Move the current image file on disk. [a-M]
Rename file...
Rename the current image file. [F2, a-R]
Delete file...
Deletes/recycles the current image file from the disk. [a-D]
Delete this & show next
Deletes/recycles the current file, then shows the next one in the directory. [c-X]
Erase file...
Overwrite & rename the file with random data several times before deleting it. [a-E]
Erase this & show next
Erase s the current file, then shows the next one in the directory. [s-X]

Copy to clipboard
Copy image to the clipboard (so you can paste it into other apps). [c-C, c-Ins]
Paste from clipboard
Paste an image from the clipboard (replaces current image). [c-V, s-Ins]
Capture a screen shot
Make a copy of the entire screen - minus the Image Eye window.
Capture a window shot
Make a copy a window - select the window to copy within 2 seconds.

View →
Fullscreen mode / Restore window
Toggle between full-screen and normal windowed mode. [F11, a-Enter]
Size window to image
Adjust the window size to the image size. [a-W, F9]
Size image to window
Adjust (resample) the image size to the window size. [W, F8]
Restore original size
Restores the image to the size it had when you first opened it. [R, F10]
Trim image to window
Trims the image (cuts 'borders') so that it fits inside the window. [T]
Topmost window
Toggle 'topmost', when on, the image will stay on top of other windows. [U]
Freeze/Unfreeze window
Freeze or unfreeze the window, see explanation in previous section. [Scroll lock]

Adjust image...
Open the image adjustment dialog. [A, F7]

Rotate image +90°
Rotates the image 90° clockwise. [Cursor keys]
Rotate image -90°
Rotates the image 90° counter-clockwise. [Cursor keys]
Rotate image 180°
Rotates the image 180°.
Mirror image vertically
Mirrors the image around the horizontal axis. [c-Cursor keys]
Mirror image horizontally
Mirrors the image around the vertical axis. [c-Cursor keys]

Zoom in
Make the image larger. [Cursor keys, Num-Add]
Zoom out
Make the image smaller. [Cursor keys, Num-Sub]
Zoom to factor
Zoom the image to one of the predefined zoom factors. [½ / § / 1 / 2 / 3 / 4]

Use as desktop wallpaper
Sets the image as desktop wallpaper (background image).
Send window to back
Put the window behind any other windows on the desktop. [B]

Slideshow →
Create slideshow script....
Creates and runs slideshow script for all images in the directory. [S]
Run in fullscreen mode
Select whether to run slideshow scripts in full-screen or in windowed mode.

IndexDisplays a thumbnail index of all images in the directory. [I]

Adjust image...Open the image adjustment dialog. [A, F7]
OptionsOpens a dialog with image information and program settings. [F6, c-Enter]
For help, press [?] and then click on the control you want help with.
HelpOpens this help text. [F1]
CloseCloses the window / exits the viewer. [Esc, a-X]

In addition to the indicated keyboard short-cuts, you can also use the following mouse and keyboard commands:

Left mouse buttonHold down and drag to move window (arrow cursor) or scroll image (scroll cursor).
Right mouse buttonShow application menu.
Mouse wheelScroll vertically.
Mouse wheel + left buttonScroll to display the next/previous image in the directory.
Mouse wheel + shift-key-"-.
Mouse wheel + right buttonScroll to zoom in or out.
Mouse wheel + control-key-"-.
Mouse wheel pressed downDrag window instead of scrolling. [a-Mouse]
Mouse "Browse buttons"Display next/previous file.

Tab/Shift-TabActive next/previous image window [Tab / s-Tab]

Up / Down-cursor keysZoom image in / out. [Cursor keys]
Left / Right-cursor keysRotates counter clock wise / clock wise. [Cursor keys]

Numeric keypad keysScroll the image or moves the whole window in the keys direction. [Key pad]
Alt-keyScroll mode 'override'. [a-Mouse]

Ctrl-Alt-XCloses all Image Eye windows. [c-a-X]


Index commands

Selecting Index in the Open image file dialog opens up a thumbnail index window displaying all the images in the current directory. These thumbnails will be recreated every time you do this - they will not be stored on disk (so it will not eat up any disk space) - unless you yourself indicate that they should be saved in a cache-file (for faster loading of the index).

Clicking the right mouse button in an index window brings up a context menu with the following commands:
View image | Opens the selected image icon (same as left clicking on the 'button').
View slideshow | View the selected slideshow.
Edit slideshow | Launch NotePad to edit the selected slideshow.
Open | Open the file with any associated application (for non-image files).
Spawn new... | Open the 'Open image file' dialog. [N, F4]
File →
Copy file... | Copy the current image file on disk.
Move file... | Move the current image file on disk.
Rename file... | Rename the selected file or folder.
Delete file... | Deletes the selected file.
Erase file... | Overwrite & rename the file with random data several times before deleting it.
Save index as bitmap... | Saves a .bmp file with the index icons (i.e. an image overview map image file).
Recurse sub-directories | Find and display icons for images in all sub-directories.
View →
Directories | Show directories in the index listing.
Non-image files | Show all files types in the index listing.
Name (1 line) | Write out file names as 1 line of text.
Name (2 lines) | Write out file names as 2 lines of text.
Name (3 lines) | Write out file names as 3 lines of text.
Name (4 lines) | Write out file names as 4 lines of text.
Comment | Write out comment or keyword meta data.
Resolutions | Write out image sizes.
File extensions | Write out file extensions.
File dates | Write out file dates.
File sizes | Write out file sizes.
Sort icons → | Submenu that let you sort the icons by name, image size, file size or file date.
By name | Sort icons by name.
By full path | Sort icons by the full file path.
By image size | Sort icons by image resoltion.
By file size | Sort icons by by file size.
By file data | Sort icons by file time stamp.
Icon cache →
Recreate | Re-reads the directory and recreated the thumbnail icons. [F5]
Save cache | Creates a disk cache files containing all the currently displayed icons. [C]
Update cache | Recreates the disk cache file so that it is up-to date with all the current icons. [C]
Remove cache | Deletes the disk cache file. [X]
Slideshow →
Create slideshow script... | Creates and runs slideshow script for all images in the directory. [S]
Run in fullscreen mode | Select whether to run slideshow scripts in full-screen or in windowed mode.
Options | Opens a dialog with index window and other program settings. [F6] For help, press [?] and then click on the control you want help with.
Help | Opens this help text. [F1]
Close | Closes the index window. [Esc, a-X]
In addition to the indicated keyboard shortcuts, you can also use the following mouse and keyboard navigation commands:
Left mouse button | Click icon to open file.
Left button double click | Double-click background to maximize / restore window. [F11, a-Enter]
Right mouse button | Show application menu. [Menu]
Mouse wheel | Scroll vertically.
Mouse wheel pressed down | Toggle icon selection (use to select multiple icons).
Mouse "Browse back" button | Go to parent directory.
Cursor keys | Move among file icons. [Cursor keys]
PgUp / PgDn / Space | Scroll by one page. [PgUp / PgDn, Space]
Home / End | Go to first / last icon. [Home / End]
Enter | Open file that has keyboard focus. [Enter]
Ctrl + Enter | Toggle icon selection. [c-Enter]
Ctrl-Alt-X | Closes all Image Eye windows. [c-a-X]


Command line options

In order to facilitate using Image Eye as a helper application for other programs, there's a number of command line options:

    <filename> | Open and display the named image file.
<more filenames> | Launches additional instances with the additional files.
-close | Close all Image Eye windows.
-freeze | Start in freeze mode.
-fullscreen | Start in full screen mode.
-index | Show index for directory supplied as <filename>.
-onlyone | Close any previous instance before display the new image.
-pos=<x>,<y> | Show the window at screen coordinates (<x>, <y>).
-title=<text> | Set the window title to <text>.
-topmost | Make image window topmost.
-zoom=<f> | Initializes the window zoomed by the factor <f>.


Slide show scripts

You can use Image Eye to display simple slide shows. The viewer and the index windows both have menu commands to create a slide show script. That brings up a small dialog with common choices for creating a simple slideshow script for all images in the current directory. But you can also create and edit more advanced scripts 'by hand' using any text editor.

A slide show file is a text formatted file with an .IES extension. It must start with the text ImageEye SlideShow { followed by a variable number of statements and terminated with a }. A statement is a commands string followed by a variable number of argument strings terminated by a ;. A string is a sequence of characters terminated either by a white space or a ;. If you want to include white-space or ; in the string, enclose the whole string in a "-pair. To insert a " character in a string, use "". You can also use C++ style comments: /* ... */ for a multi-line comment or // for an 'until-the-end-of-the-line' comment.

Note: The text may be encoded either using the Windows 1252 code page (extended ISO 8859-1), or as UTF-8 encoded Unicode.

Here is an example named TEST.IES:

    /*
 * This is an example slide show file
 */

ImageEye SlideShow {

  // First display a welcome picture and play a sound!
  display welcome.jpg;
  shell "Play" "c:\windows\media\chord.wav";
  delay key;    // Wait for a keypress

  // Then display some product adds
  display prod1.bmp; delay 5;
  display "product 2.jpg"; delay 5;

  // Finally pop up a text file with further info
  shell open moreinfo.txt;

  // Toggle between two images until user press Esc
  loop {
    display "forever.png";
    display "and ever.png";
  }
}

These are the currently available commands:

    delay <n> | Pause <n> seconds before continuing the slide show.
delay key | Wait for the user to press any key or left mouse button.
display <str> | Display the image file <str>.
loop { ... } | Loops the statements ... until Esc is pressed.
loop <n> { ... } | Loop <n> times the statements ...
set <x> <n> | Set option <x> to <n>.
shell <str> | Run the program file <str>.
shell <verb> <str> | Execute the Windows shell command <verb> on the document <str>.
Currently defined options for the set command are:

    AutoSizeImage on/offSet auto-sizing of image to video size (default: off).
Note: Don't forget to terminate each statement by a ;


Reading Raw Images

You can read 'raw' image data if you provide it with an associated descriptive text file, give it a .RAW file extension, and then open that.

Note: Only grayscale, RGB and YCbCr images with at least 8 bits/component/pixel are supported.

Note: The text file must be saved using either the Windows 1252 code page (extended ISO 8859-1), or as UTF-8 encoded Unicode.

The .RAW image description file must follow the following format:

    RawImage {
    width <number>;		// Image width in pixels (required)
    height <number>;		// Image height in pixels (required)
    file <string>;		// Global data file (default: same as .raw file but w.o. extension)
    // First component:
    <N> {			// N is a character can be one of R, G, B, I, A, Y, Cb, Cr
        file <string>;	// Component data file name (default: same as global data)
        start <number>;	// File offset (in bytes) to first pixel of this comp (default: 0)
        delta <number>;	// Offset between two pixels in bytes (default: 1)
    }
    // More components follow here...
}

Example file 1:

    RawImage {
    // A raw interleaved component RGB image:
    width 1024;
    height 512;
    file "my rgb-file";
    R {
        start 0;
        delta 3;
    }
    G {
        start 1;
        delta 3;
    }
    B {
        start 2;
        delta 3;
    }
}

Example file 2:

    RawImage {
    // A raw RGBA image with components in different files:
    width 256;
    height 256;
    R { file "separated.red"; }
    G { file "separated.green"; }
    B { file "separated.blue"; }
    A { file "separated.alpha"; }
}

Example file 3:

    RawImage {
    // A raw grayscale image:
    width 200;
    height 50;
    file "foo FOO.bar";
    I { }
}


Revision history

Version 8.0 - 2010-08-26 -

General improvements:

  • Image Eye is now "donationware" for non-commercial use. This is a type of freeware. There's no fee to use it, no nag boxes, no advertising, no time limit, no reg-codes, and no crippled features. However we do make this plea, that if you like it and use it, you can/should to make a voluntary donation - both as a "thank you", and to support the continued development of Image Eye.

    For commercial use, we do ask for a small license fee.

    To make a donation, or to license it for commercial use, please visit: http://www.fmjsoft.com/imageeye.html

  • Added parallel processing support for several operations - boosting performance considerably when running on modern multi-core CPU's.

  • Unicode text is now supported - both for file names and for translations of the user interface.

  • Added support for "keyword" text meta data.

  • Added support for several types of EXIF-format camera meta data: Manufacturer, Model, Exposure time, F-Number, ISO speed rating, Shutter speed, Aperture, Exposure bias, Flash, Focal length, Exposure mode, White balance.

  • Added support for Adobe Extensible Metadata Platform ("XMP") text meta data with the following file types: .JPEG/.JPG, .PNG, .GIF, .PSD, .TIFF.

  • The program now supports the Windows Vista / 7 "Default programs" and "Open with" features (this replaces the deprecated "file types" tab in the options).

  • The program settings will now be remembered (stored in the Windows registry) *only* if the program has been installed using Setup.exe. I.e. if you run Image Eye.exe on a machine where it has not been installed, then it wont leave any traces on that system. This can be usefull if e.g. running it on a borrowed computer.

  • Several additional performance enhancements through rewrites & code optimizations, e.g. ~10% faster JPEG decoder.

Viewer improvements:
  • The background is now translucent (with "glass effect") when viewing transparent images, or if you make the viewer window larger than the image (NB, this can be turned off in the viewer options, and it is automatically disabled in fullscreen mode; furthermore, it's not availabe in Windows XP, and neither is it when viewing 1..8-bit non-transparent images).

  • When the viewer window is not captioned, any images with transparency will now have a transparent background, i.e. they'll be "look through" (when the window is captioned, it gets the translucent background).

  • File directories are now parsed by a background thread that caches the file names in memory. This makes the "Next / Previous image" commands much faster when there's very many files in a directory, or when working e.g. with network drives.

  • Multi-core (parallel processing) support for very much faster resampling (scaling) of large images.

  • Additional image resampling speed improvements through various tricks and code improvements, e.g. better cache usage & a bit of data prefetching, data dependency optimizations, and new SSSE3 instruction code paths (if your CPU supports it).

  • Multi-core (parallel processing) support for faster image adjustments (color, contrast, sharpness et c).

  • The image adjustment 'Sharpness' control now has a separate (considerably faster) code path for grayscale images.

  • Improved the file open dialog:

    • It is now resizeable, i.e. you can enlarge it in order to more easily browse among many files.
    • The "recent" (paths) list now looks better.
    • The right-hand preview pane has been replaced with a smaller preview image below the file list.
    • File information is shown next to the preview image (file type, resolution, comments - if any).
    • As an alternative to the "View" button, you can click on the preview image to open it.

  • Added support for displaying up to three overlay texts of various kinds (e.g. comment meta data - c.f. the viewer options).
    NB; these are show only when the viewer window is captioned (i.e. when you move the mouse over it).

  • The "Next / Previous image file" commands will now also show images from file links.

  • Improved compatibility with Windows 7 and Vista.

Index improvements:
  • Multi-core support for parallell decoding of multiple thumbnail images.

  • For a more modern look, the image icons are now drawn with a simple black border, replacing the 'button' style. It now also high-lights when you move the mouse over an icon.

  • Added support for a translucent background ("glass effect" - NB; not available in Windows XP).

  • You can now navigate using the keyboard (cursor keys move focus, enter viewes, context key shows menu).

  • You can now select multiple icons by holding down control or shift while clicking with the mouse (or using the enter key), then right click to do a copy/move/delete on all the selected files.

  • Added an option to show image comments. (Note: if you are using index cache files created by an earlier version of Image Eye, then you need to delete the cache before you see any comments).

  • Smarter automatic window sizing.

  • You can now double-click (on the background, not on an icon) to a maximize or restore the window. Also, the mouse "browse back" button now navigates to the parent directory.

  • An option named "Icon size stored in cache overrides selected icon size" replaces the earlier per-directory "Save options in cache file" option.

  • Link files now also get image icons, and can be opened the same as other files.

Axed features:
  • Dropped support for older Windows versions - minimum required OS version is now Windows XP with SP3.

  • Dropped printing support (there are better ways to print, with more layout control).

  • Dropped some seldom used file formats (.FIF, .JP2/.JPC, .MAC, .NEO, .PIC, .PBM/.PGM/.PNM/.PPM, .PXR, .RAS). NB: these can still be read & converted using our Any Image software.

  • Dropped MMX instruction support (MMX was superceeded by SSE2 with the Pentium 4 and later).

    • The axing of these features served to reduce the executable size by ~100KB (a saving which unfortunately was eaten up by the size of the new multi-core run-time).

Version 7.6 - 2008-12-20 -

  • Several fixes and minor changes made for Windows Vista compatibility.

  • Added support for several more obscure variants of TIFF files: tiled images, subsampled chroma YCbCr images, plane-separated images, plus an old type of JPEG-in-a-TIFF.

  • When displaying multi-page files, the current page number and the total number of pages are now shown in the title bar.

  • Image pre-caching now also works when browsing images in reverse file name order.

Version 7.5 - 2008-06-24 -

  • Updated & improved design of the context menus.

  • Smarter/faster display-refresh - now only updates window regions that have been obscured.

  • Much faster resampling (resizing) of grayscale images.

  • Faster resampling (resizing) of color images at common zoom-factors (4x, 2x, 1/2x, 1/4x, 1/8x, 1/16x).

  • Faster loading and display of uncompressed TIFF's (especially with very big files and with files with 16 bits/component).

  • Added support for deflate-compressed (a.k.a. ZIP-compressed) TIFF files.

  • New and improved design of the progress dialog.

  • The program can now also continue a image file decode that was started, but not completed, in the "preview" window of the "Open image file" dialog. Of course, just like with previous versions, it doesn't have to re-decode an image that finished decoding and was shown in the preview either.

  • Pre-caching of files are now disabled if the system is low on memory, or if the window is in 'frozen' mode.

  • The "Rename file" and "Delete file" commands will now also rename or delete any associated ".iea" adjustment file.

  • Improved behaviour on dual-monitor setups.

  • Added a -NOREGISTRY command line option that prevents the program from reading or writing any settings in the Windows registry. This makes it possible to e.g. run it from a memory stick without leaving any traces on the host computer.

  • Added parsing of GPS cooardinate data from JPEG/EXIF and TIFF. If available, this can be seen in the "Image" tab in the options.

  • Dropped support for Windows 95 and NT. Also removed support for using display modes with 256 or less colors. Removal of these legacy functions serves to reduce the size of the executable, which makes the app load somewhat faster and use less memory. For the same reason 16 and 256-color versions of the menu icons are no longer included - this means that the menus wont look as good under Windows 98/ME/NT/2000 (which do not support the 32-bit icons of Windows XP and Vista).

  • Many minor fixes and improvements.

Version 7.4 - 2007-05-07 -

  • Added (optional) support for SSE2 instructions for several crucial operations. E.g. zooming, adjusting colors, and decoding JPEGs are now even faster than before! (i.e. if you have a CPU that supports SSE2, i.e. an Intel Pentium 4, or an AMD Athlon 64, or later).

  • In the viewer tab of the options dialog, you can now select a "Window background color". This is the color of the background for transparent images, and of the borders outside the image if the window is larger than the image. NB, .GIF and .PNG files sometimes contains a background color parameter, which will, if present, always (for the specific image) override the selection that you make in the options.

  • Added new keyboard shortcuts: Ctrl + left/right arrow to mirror horizontally, Ctrl + up/down arrow to mirror vertically, Numeric +/- to zoom in (alternatives to up/down arrow).

  • The "auto size image to window" function is now inhibited if you manually zoom into an image and it becomes larger than the screen (which is also the maximum windows size).

  • Slide show delay times can now be set with a precision of 0.1 seconds.

  • Fixed memory leak when displaying animated .GIF's.

Version 7.3 - 2007-01-01 -

  • The index View → Names selection have been replaced with four selections: "Names (1 line)", "Names (2 lines)", "Names (3 lines)" and "Names (4 lines"). This allows you to get space to see longer names.

  • The index file name, file size, and date display is now drawn in gray in order to more easily distinguish this info from the name text drawn in black. They are also separated from the name by a few extra pixels.

  • Changed what you can do with a mouse wheel:

    • Use the mouse wheel for scrolling vertically (like before).

    • Press down the wheel to drag the window instead of scrolling it.

    • Use left mouse-button + mouse-wheel for switching between images.

    • Use right mouse-button + mouse-wheel for zooming.

  • 'Backspace' has replaced 'Shift+Space' as the short-cut key for displaying the previous image.

  • Added support for reading 32-bit RGBA icons (.ICO).

  • Added for reading Vista 256x256 PNG-compressed icons (.ICO).

  • If you are running under Windows XP then buttons and other controls will now use the rounder and more colorful 'XP style'.

  • The program manual is now in 'HTML help' format (it now both looks better and is easier to use than when it was using the older 'WinHelp' format).

  • Plus, several smaller improvements and bug-fixes.

Version 7.2 - 2006-05-04 -

  • Added a "Save index as bitmap" command to the index window. This allows you to save a .bmp file with all of the index icons - can be useful as an image overview map.

  • Added "Next/Prev image" and "Load new..." commands when you right-click on an image in 'freeze mode'. These zooms a new frozen image to fit inside the frame of the previous frozen image. Similarly new "Zoom in/out" commands (in the same menu) allows you to zoom a frozen image without changing the image frame (i.e. it clips the borders if zooming in, or adds black bars if zooming out).

  • The Home / End keys now switch to the first / last image in the current directory.

  • The "Save as" command now applies image adjustments (if any) to the saved image ("what you see is what you save").

  • Minor bug fixes & improvements.

Version 7.1 - 2005-05-24 -

  • The "Image adjustment dialog" (previously named the "Color adjustment dialog") is now non-destructive, i.e. if you re-open the dialog after previously having made some adjustments, you'll see that the adjustment sliders are in the position where you left them. And the "Reset" button will now always bring back the original image.

  • Add a "Save" button to the image adjustments dialog. This creates an ".iea" file that stores the settings so that the next time you load the image file, they are automatically re-applied. This allows adjustments to be remembered without having to actually edit the image file. NB, if you want to delete the adjustments file, just hit the "Reset" button.

  • Added image rotation and mirroring options to the image adjustments dialog. The main point of this is that you can save them together with the other adjustments in the new ".iea" files.

  • Add support for Windows links (.lnk files) that links to image files (in both the index and the viewer).

  • Added support for reading TIFF images using JPEG compression. It primarily supports the new "compression type 7" but many (if not all) of the deprecated "compression type 6" files can also be read.

  • Added the "F" key as short-cut for displaying the "image file information" page (this has also added this to the file menu).

  • Added a "-zoom=<factor>" command line option.

  • Images with transparency are now composited upon a white background in the viewer.

  • Clicking on an index cache file (".iei", normally a hidden file) will now open the index for the directory. Similarly clicking on one of the new adjustment files (".iea", also normally hidden) will open the image that the adjustments refer to.

  • A number of minor bug fixes and improvements.

Version 7.0 - 2004-06-22 -

  • The biggest change in this version is that it can now be used for free! There's no time limit and no functionality limitations in the unregistered version! So feel free to give it too all your friends! However, there is a 'nag box' when you start it that is only removed if you pay a small fee to register it.

  • Improved the graphical design of the program menu and of the color adjustment dialog.

  • Languages are now handled differently. Now select the 'interface language' in the Options dialog, i.e. separate compiles for different languages is no longer necessary. You can add new languages by adding '.language' file. This is simple text file containing a 'dictionary'.

  • Many of the 'control-letter' keyboard short-cuts have been replaces by 'single-key' shortcuts.

  • Added a 'gamma control' slider to the color adjustments dialog.

  • If an image orientation parameter is stored in a TIFF file or a JPEG file with EXIF extensions (as saved by many digital cameras with built in 'orientation sensors'), then the image is now automatically rotated for correct viewing when you open it.

  • New index option: 'Close index window when opening an image'.

  • New index option: 'Monitor directory for new or changed files'.

  • Added support for displaying YCbCr format '.raw' files.

  • The normal 'arrow keys' is no longer used for scrolling. That is now done with the numeric key-pad keys instead (and you can now scroll in the diagonal directions using the '7912' keys' - and center with the '5' key). The normal 'up-down' arrow keys now zooms in/out. The 'left-right' arrow keys rotate the image.

  • The 'folder view style' (details view, icon view, et c) of the file open dialog box is now remembered.

  • The 'auto size to window' function is now temporarily disabled when you manually zoom into an image (so that you can manually zoom to larger than the screen size, even if this option is enabled).

  • Various bug-fixes and improvements.

Version 6.2 - 2003-03-18 -

  • Added support for reading JPEG 2000 files (.JP2, .JPC). This new format is based on advanced wavelet compression techniques. It compresses at least 2x as much as the 'old' JPEG for the same subjective image quality. It is also more error resilient, it is better at 'progressive decoding', and it provides better control over the compression factor. Note: You can use our software Any Image (v3.2 or later) to write JPEG 2000 files.

  • Improved the resampling (resizing) algorithm.

  • In maximized viewer mode, the program is now minimized if you change to another active window (e.g. by pressing Alt-Tab).

  • When using the command 'Recurse sub-directories' in an index window, the icons are now displayed unsorted. If you want them sorted you can always select a sort order in the View menu (if you have extremely many files it can take quite a while to sort them, thus this change...).

  • Fixed a bug with the printing of larger images.

  • .PNM is now recognized as an alternate extension for .PGM, .PGM and .PPM files.

  • Fixed a problem with reading of some strangely formatted .PBM files.

  • Fixed bug that could cause the program to crash when reading 24- and 32-bit .RAS files.

Version 6.1 - 2002-11-26 -

  • Added support for reading DirectDraw Surfaces (.DDS files).

  • Added support for reading TIFF's and PSD's with 16-bits/pixel/color component.

  • When using the 'Next image' command on the last image file in a directory, or the 'Prev image' command on the first image file, then it now beeps (as before) then wraps to show the first or last image file respectively.

  • The 'Slideshow...' command is now called 'Create slideshow script' and is located in a 'Slideshow' sub-menu, together with a new option 'Run in fullscreen mode' (which is what earlier versions has always done, but if you now uncheck it, it'll run in a window instead...).

  • Windows icon and cursor files (.ICO and .CUR) are now shown with transparency in the index - and with a white background in the viewer.

  • Various minor bug-fixes.

Version 6.0 - 2002-02-20 -

  • Viewer window improvements:

    • Added support for displaying animated GIF files.

    • Added support for reading and viewing multi-page TIFF's (switch page with the next/prev image commands).

    • Added a 'Hue' color control slider in the color adjustment dialog. Also, the 'invert colors' command has been moved to this dialog.

    • The Next/Prev image file commands now skips bad and corrupted files.

    • Added 'Copy file', 'Move file' and 'Erase file' commands to the file menu.

    • The new 'Erase file' command will wipe the file contents three times with random data before it is deleted (not moved to the recycle bin) in order to make it much more difficult to 'undelete'. It will also rename it three times first in order to attempt to wipe the original name from the file directory tables.

    • It is now more responsive to user input under some circumstances when using stuff over 'slow' media (floppy disks, network connections et c).

    • Window borders (when the window is larger than the image) is now drawn in the 'background color' that may be specified in GIF and PNG's.

  • Index window improvements:

    • Alpha-blending and transparency is now used when drawing icons (note: only on Windows 98 or 2000 or later).

    • Improved the scrolling - scrolls faster and with less flickering.

    • There's now a 'Save options in cache file' toggle under 'cache' in the context menu. When enabled, all of the index options (icon sizes, what info to show, et c), plus the window size, is stored in the index cache file for the directory and are restored the next time it is read. This allows you to set special options certain directories.

    • A 'View' submenu in the context menu replaces the options in the 'Index properties' dialog for selecting what file info to show.

    • Added a 'File' sub-menu to context menu. It contains commands for copying, moving, renaming, deleting and erasing the file.

    • The index window now detects when a file is copied, moved, deleted or renamed in the Windows Explorer and 'recreates' itself when that happens.

    • When you drop files from the Explorer, they are now copied to the index directory, and the index is updated accordingly.

    • Added a 'Recurse sub-directories' command.

    • After doing a 'recurse subdirectories', you'll also have the added option of sorting icons 'by full path'.

    • Directories are now sorted first -except when in 'recurse subdirectory' and sorting 'by full path' where each directory instead is placed at the start of the icons that it contains.

    • Added an 'Add all files to Any Image' command.

    • You can now select a 'foreground color' (used for the icon buttons).

    • The last sort order is now remembered.

    • Cache files are now saved using a background thread.

    • Added several new or alternate keyboard short-cuts.

    • Fixed a bug with the index not displaying the complete name of directories with a dot in the name when file extension display is off.

    • Fixed problem with not always getting long file names in the title bar under some Windows versions.

  • Further changes and improvements:

    • In the file open dialog, the last file opened is now selected and the list is scrolled so that it is visible.

    • There's now a 'File type associations' list in the program properties dialog that allows you to easily turn on and off individual file type associations.

    • Alpha blending and transparency is now used when previewing images in the open file dialog (note: only on Windows 98 or 2000 or later).

    • The 'Raw image file' dialog is gone, to open a raw image file you now need to create a text file with a .RAW extension, and containing the required information for reading the file (see the Image Eye help file for more information).

    • The progress dialog now does not steal the keyboard focus. It also considers the position of the 'Start bar' so that it is not obscured.

    • Some general speed improvements.

    • Fixed a few minor bugs and issues.

Version 5.6 - 2001-12-20 -

  • The 'Next/Prev image' commands are now faster at finding the requested file when there are very many files in a directory.

  • It now also handles sorting of international characters by using Windows 'language aware' functions.

  • Added support for reading CALS (Computer Aided Acquisition and Logistics Support) type I files (.CAL, .CALS, .RAS).

  • Added an 'Only shrink' option that modifies the behavior of the 'Auto size image to window' function so that it only scales down images and never scales up them.

  • Added an option to turn on or off the file names in the index.

  • Added a 'Print image...' command when right-clicking on image icons in the index.

  • Added pixel density to the image info tab for some formats.

  • Added support for reading some info from the EXIF JPEG extension (used by digital cameras).

  • Rotating in maximized mode now keeps the window in maximized mode and is also 'smart' with respect to the 'auto size' and 'shrink large' options.

  • Added support for Group 3/4 fax-compressed sub-format TIFF files with a 'reverse bit-ordering' (this is an unusual format that was previously displayed incorrectly).

  • Fixed a problem with crashing on some corrupted PhotoShop extension blocks inside JPEG files.

  • Fixed a problem with some very rare GIF files.

  • Added a 48x48 icon for Windows XP.

Version 5.5 - 2001-03-20 -

  • Added some smart caching and background preloading of images. This can make image loading 'subjectively' appear as considerably faster when you're going back and forth between images in a directory.

  • Added support for reading different kinds of text information from file formats that supports it in any standardized manner. These texts, and more info are found in a new scrollable 'list' in the 'properties' → 'image' dialog.

  • Added an 'Add to Any Image' command (in the viewer and in the index). This allows you to easily send an image file to our dedicated image converter application, Any Image. You need to have Any Image v1.5 (or later) installed for this to work.

  • During a slide show, the 'pause' key can now be used to pause it. Press any other key to continue again.

  • You can now hold down the mouse wheel 'button' and scroll it to browse images.

  • When you right click on an icon in index mode and select properties, some info about the file is now shown in the 'image' tab.

  • Zoom in is now done in steps of 25% of the original size rather than 2x. Similarly for zoom out. What's more, the 'center of view' is now preserved while zooming.

  • Added a 'Zoom 2x heuristic' command (on the View menu). It uses a special heuristic algorithm to double the image size. Which one's best, the normal filtered zoom or this new one, depends on the image and your personal taste. The heuristic one is can give much sharper results, but it is also usually much more ´'blocky and pixilated'.

  • Added an option to the Index to show the number of images in the directory in the title bar.

  • Fixed a JPEG decoding bug on non-MMX CPUs when using the 'fast IDCT' option.
    Also fixed another JPEG decoding debug that crashed it on some very uncommon images.

  • Removed support for saving GIF and RAW files. The same functionality, and much more is now provided by the above mentioned integration with Any Image.
    This keeps the EXE file size small - so that it loads fast and don't use up needlessly use up memory!

  • There have also been many 'invisible' changes 'under the hood' - the entire image handling functionality has been cleaned up, improved, and isolated in a generic image-handling library called EyeC++. This library is used both in Image Eye and in Any Image. It will also be made available to other developers in the form of a commercial SDK.

Version 5.1 - 2000-10-15 -

  • Added an optional image preview window to the file open dialog.

  • Improved the 'Sharpness' adjustment algorithm (better edge sharpening, and less prone to enhance noise). It will now also work on palette images although the result is still best on 24-bit images.

  • Added a 'freeze window' command to the view submenu. The idea is that when you put the image window into 'freeze' mode, it will lock itself into its current position on the desktop (with no menu bars or anything) and the only thing you can do with it is right click on it to bring up a menu with the commands 'unfreeze' and 'close'. If you shut down Windows without manually closing such a frozen window, it will automatically load again in the exact same position when you next restart Windows. Just to give an example of what you could use this for, you could place 'fixed' photographs of near and dear ones on your desktop.

  • Added a 'topmost' toggle to the view menu, which you can use to force an image window to stay on top of all other non-topmost windows.

  • Added '-topmost' and '-freeze' command line switches.

  • When the cursor does not indicate 'scroll mode', you can now move a window not only by dragging it with the mouse but also by using the arrow keys. Also, the Alt keys have now replaced the Control keys as 'scroll mode override'.

  • Added a rename file command to the image windows file menu.

  • Added an index option to show file extensions.

  • Clicking on a directory in the index view now replaces the current index window with the new one instead adding another one. If you want to keep the current window, use 'Spawn new...' on the context menu instead, go to the new directory, and click the 'Index' button. Also, all root directories will now show driver letters (if 'show directories' is turned on) so that you can easily change drive from there. And the 'up' directory now has an icon…

  • Index icons are now never enlarged, i.e. very small images are drawn with 'borders' on all sides.

  • Added a 'delete script file when finished' option to the slideshow dialog.

  • The zoom state is now kept when rotating.

  • Added support for saving 2 and 16 color BMP files in addition to the 256- and 16M-color files supported by previous versions. Minimum color depth is automatically selected when saving an image in order to minimize the file size.

Version 5.0 - 2000-09-12 -

  • Added MMX instruction set support! Mainly for JPEG decoding (which can now be up to 25% faster - disc access times not counted) but also for a few other things (e.g. 40% faster resampling of an image). It will of course still work on non-MMX processors just as before.

  • A new option (on by default) hides the window title bar whenever the mouse is not on top of an image window.

  • Clicking and dragging an image when a 'scroll cursor' is not visible will now move the whole window (when the scroll cursor is on, you can hold down Control key and drag it).

  • The Contrast and Brightness controls now preserves the color balance. This is different than how almost all other app does it - but hopefully you'll actually like this way better!

  • Improved down sampling algorithm (i.e. 'shrinking' images now gives much better results).

  • Added an option to display the image name on top of the image (in various selectable positions).

  • Added a 'Recent directories' quick selection to the file open dialog.

  • Added a slight 'texture' to the dialog backgrounds.

  • Added support for reading CMYK format JPEG's, TIFF's and PSD's as well as YCCK format JPEG's.

  • There's a new 'How to register' info box to help unregistered users.

  • Added a 'Rename' command in index mode.

  • Added support for IntelliMouse Explorer 'X mouse' forwards/backwards buttons for switching between images.

  • Added a 'Rotate 180°' command as well as two new keyboard shortcuts: Ctrl-Left = Rotate 90°, Ctrl-Right = Rotate 270°

  • Added 'Zoom in 2x' and 'Zoom out 2x' commands. Keyboard shortcuts are Ctrl-Up/Down.

  • New 'spawn next/previous image' commands open the next or previous image in a new window. These have keyboard shortcuts Ctrl-PgUp / PgDn or, if you prefer, Ctrl-Space / Ctrl-Shift-Space. Similarly you can now use Space / Shift-Space to display the next / previous image as alternatives to PgDn / PgDn.

  • More new keyboard commands: Tab / Shift-Tab moves between all opened Image Eye image windows.

  • Removed the 'video mode' menu - because it made the right mouse button menu so slow to appear. It has been replaced with a shortcut to the Windows display properties dialog (which provides the same functionality) on the view sub-menu.

Version 4.2 - 1999-10-10 -

  • Added a 'Send window to back' function (shortcut: Ctrl-B).

  • Improved the 24 to 8 bit color conversion so that it now uses 8 bits/per component (earlier versions used 6 bit precision) to calculate the color lookup table for the final 8-bit palletized image. This gets rid of the problem where, in a 24-bit video mode, you sometimes could take a screenshot of a normal gray dialog-box or something, save it as an 8-bit GIF and it turned up all dithered and (slightly) ugly!

  • Fixed a bug with not always uninstalling correctly from directories with a space in the path name.

  • Fixed bug with clicking on directories boxes in the index window not working.

  • Fixed a bug with the next/prev image function not working under certain conditions when started with an image file from the command line.

  • Fixed a bug with some very large TIFF-files.

Version 4.1 - 1999-07-10 -

  • When loading an image, it now tries to ensure that the lower right part is not outside the screen if not necessary.

  • Fixed a bug with compressed TGA files.

  • Fixed bug with the index not working on directories with a dot in their name.

  • Fixed problem with parts of the adjust colors dialog sometimes appearing behind the taskbar.

  • Added a 'Reload from file' function.

Version 4.0 - 1999-04-15 -

  • Added an installation program (setup.exe).

  • Added a bunch of new command line options:
    • -onlyone Close any previous instance before display the new image

    • -close Close all Image Eye instances

    • -fullscreen Start in 'Full screen' mode

    • -fitvideo Automatically fit video mode (combined with -fullscreen)

    • -title=text Set the window title to 'text'

    • -pos=x,y Show the window at screen coordinates x,y

    • -index Show index for supplied directory

    • -slide Create and show a slideshow for supplied directory

  • Added support for reading PhotoShop (.PSD) files (Grayscale, Indexed, Duotone and RGB, 8bits/component modes only).

  • Added support for reading raw image files (.RAW). This pops up a dialog where you enter the necessary parameters. Added support for writing raw interleaved RGB files.

  • Added a 'Create slideshow script' options dialog (appears when you select the Slideshow command from the Viewer or from the Index).

  • Added 'Hide progress bar' and display 'Full file path' options to the Viewer properties.

  • Added a 'Show full directory path in title bar' option and a 'Background color' button to the Index properties.

Version 3.9 - 1999-01-22 -

  • Added a 'Paste from clipboard' command.

  • Added a 'Trim image to window' command to the view menu. (it is only available when the window is smaller than the image).

  • Added a bunch of keyboard shortcuts for common commands (see the viewer and index command sections of the help file). Examples: Ctrl-W (size image to window) and Ctrl-I (size window to image).

  • Added a 'Close all image windows' command (Shortcut: Ctrl-Alt-X).

  • Added a 'Delete this & show next' function (Shortcut: Ctrl-X).

  • The index now uses the default GUI font - which hopefully should make filenames containing e.g. Japanese multi-byte characters display better.

  • Fixed bug with not removing the files during an uninstall.

  • Now restores the original video mode upon exit (if you had changed it from within Image Eye).

Version 3.8 - 1998-08-30 -

  • Added a Display → 'Fit to image' command that automatically selects the video mode with the best resolution for viewing an image (it wont change the bit depth though, as that would be much slower...).

  • Added an 'Auto fit video mode' option. Also added an 'Auto shrink when too large' option. These two only work when the window is maximized (as they make most sense then).

  • Added an 'Automatically create cache files' option for the index.

  • Added 'capture a screen shot' and 'capture a window shot' commands to the viewer → File submenu.

  • Added a 'sharpness' slider in the 'adjust colors' dialog (for technical reasons, this control is only enabled when viewing true-color images in true-color video modes).

  • Removed the 'preview' button from the 'adjust colors' dialog and added a 'reset' button in its stead. Preview is now done automatically whenever you release one of the sliders!

  • Add a 'show negative' command to the view menu that 'inverts' all colors. This can be usefull for picking out details when viewing deep-sky photographs, or if you actually have negative photographs...

  • Add 'set AutoSizeImage On/Off' and 'set AutoVideoMode On/Off' commands to the slide show scripting language.

Version 3.7 - 1998-06-16 -

  • Windows 3.1/Win32s support has (finally) been dropped. This was necessary because I have switched to a newer compiler which has no Win32s support. W3.1 users should continue using Image Eye v3.6!

  • The program now loads slightly faster!

  • Added an 'Adjust colors' command to the View menu. As the name implies it lets you adjust the color of the image - using the following parameter set: contrast, brightness, color saturation, overall intensity, red-, green-, and blue-component intensities.

  • Added 'zoom' commands to the View menu which let you zoom the image to 50, 75, 100, 150, 200, 300, or 400% of its original size.

  • Added mouse wheel support for the index window.

  • Fixed yet another bug with some kinds of TIFF files.

Version 3.6 - 1998-04-24 -

  • Added a file date display option for the index window properties.

  • Added commands to sort the icons in the index window by name, file size, file date, or image size.

  • The Next/Previous image file command in the image window now skips any files of zero size (typical of interrupted internet downloads) as well as when encountering other 'bad' files.

  • The 'autosize image' option now leaves the last image in place until the new, resampled, image has been calculated.

  • Fixed a 'sort-of-bug' with hanging when reading some strange GIF files having larger 'local image size' than 'global image size'.

  • Fixed a problem with some uncompressed TIFF files.

Version 3.5 - 1998-02-01 -

  • The index 'thumbnail' images can now be cached on disk for faster display (this feature works best in true-color mode). You manage the cache manually by using 'Save cache', 'Update cache' or 'Remove cache' from the index window's context menu. The cache is never created automatically which means your disk will not be filled with Image Eye Index cache files where you do not want them. The cache files (ImageEye.iei) can optionally be compressed reducing the disk space usage (typically by about 20%).

  • Added a 'Delete file' command to the context menu for the icons in the index window.

  • Added .GIF file format export.

  • The space bar now has the same function as the PgDn key in the viewer (i.e. display next image in the current directory).

  • Fixed bug with hanging on reading many 'animated' (multi-image) GIF's.

Version 3.3 - 1997-10-01 -

  • Added support for 'progressive scan' JPEG files. The JPEG decoder is also slightly faster for 'normal' JPEG files due to a more effective use of the CPU cache.

  • Added a 'Display' submenu top the right mouse button image menu so you can easily change video mode (if you have Win98 or NT4 then you should also be able to select color bit depth).

  • Added 'Rotate image +90°', 'Rotate image -90°', 'Mirror image vertically' and 'Mirror image horizontally' commands to the view submenu.

  • Added 'mouse wheel' support for vertically scrolling images (req. Win98 or NT4 and a Msft Mouse 2 or similar to work).

  • Added a 'Slideshow' command to the right mouse button menu (for both the viewer and the index windows). It creates and runs a slideshow script for all the images in the current directory.

  • Fixed problem with not always receiving the 'long file name' when launching images from e.g. the Explorer (which also made the next/previous image command fail when started with a 'short' file name).

  • Fixed a bug with the slide show script 'delay key' command.

Version 3.2 - 1997-09-07 -

  • Much more 'forgiving' when reading corrupted GIF's and JPEG's: In other words it should no longer crash as often if you e.g. try to read a GIF that you started downloading from the net but interrupted before the whole image was finished...

  • For the astronomers out there, I have added FITS support (Flexible Image Transport System v1.1, .FIT files).

  • Added support for TIFF images using CCITT Group 3 (T.4) or Group 4 (T.6) fax compression.

  • Added support for 16bit and 32bit .BMP files.

  • Now uses the Windows shell for the file → delete command which means that deleted files end up in the recycle bin.

  • No longer associates .ICO or .CUR files with Image Eye since Windows built in 'live icons' are better (you can still open them explicitly using the open file dialog).

  • Killed a handful of bugs.

Version 3.1 - 1997-01-20 -

  • This is the first officially promoted release of Image Eye.

  • Removed the 'nag box' from the unregistered versions (it was a little too cruel...) - instead the text 'unregistered' is painted in the upper left corner of images and the software will disable itself after 30 days of use. The slide show feature is now also available in the unregistered version.

  • Added view → Next image file / view → Previous image file (also accessible through the PgUp / PgDn keys) to quickly view the (alphabetically) next / previous image in the current directory.

  • Added 'optional' support for .FIF files - Fractal Image Files. To enable it, you must have installed Iterated Systems free 32bit decoder library; Deco_32.dll version 6.0 or later. This file can downloaded from my www site.

  • Image files must now have the correct file extension to be recognized by the index feature. The previous version tried to determine if it was an image file even if it had an incorrect extension. However, some file types simply were not constructed in such a way that they can be 100% reliably detected which sometimes caused the index feature to load a non-image file as some image file type, which in turn could make it crash...

  • The first time the program is installed, it now asks if it should associate file types with itself. There's also a little checkbox that you can use to toggle all file associations on or off.

  • Added new slide show script command "delay key" to wait for a keypress.

  • Fixed a bug with missalignment of some 4bit .BMP files.

  • Fixed a bug that made it crash on a few .GIF files.

  • Fixed a serious bug in the printing code.

  • Added the option to measure the time it takes to load an image - for comparing performance with other viewers...

  • Licensed the LZW algorithm used in GIF and TIFF files from Unisys.

Version 3.0 - 1996-12-10 -

  • First 32-bit Windows release.

Version 2.1 - 1994-01-01 -

    Last of the (by now long forgotten) DOS versions.


Frequently Asked Questions

General questions:

Q | How do I uninstall it?
A | Use the Windows Control panel's 'Add or remove programs' feature.
Q | How can I make Image Eye the default program for opening a file type?
A | Windows 7 and Vista: Either use the Default Programs function in the Windows control panel (select Set your default programs to set it as the default for all its supported file types, or Associate a file type or protocol with a program to select it on a per file format basis), or right click on a file → Open with → Choose default program... Windows XP: right click on a file → Open With → Choose Program → Browse → locate Image Eye.exe. Check the box Always use the selected program. Click OK.
Q | Does it support file format X?
A | Check the list of supported file formats.
Q | Is it possible to license Image Eye for use in / bundling with commercial products?
A | Yes it is available for low-cost mass licensing! Please contact us for price information.
Q | I'd like to be able to add image viewing or image file format conversion capabilities to my own program - can I license parts of the Image Eye code from you!
A | Yes! This program is built using our EyeC++ class library - which so happens to be available as a commercial SDK - check our www site for more info.
Q | Can I turn off the Recent directory list? I don't want anyone else to see where I've been!
A | Open an image file → right click → Options → Misc, check the box labeled Clear on program exit.
Q | How do I delete saved image adjustments for an image?
A | Press a to open the image adjustments dialog, then Reset. The .iea file containing the adjustment parameters will be deleted and the unmodified original image is displayed.
Q | How can I create a Windows shortcut to an Image Eye index for a folder containing images?
A | There's a little trick to accomplish this. Create a shortcut to Image Eye.exe. Then right click on the short-cut, select Properties → Sortcut. In the Target box, after \<path>\Image Eye.exe add a blank space followed by -index followed by another space then the full path to your folder (put it inside quotes if it contains any space).
Q | How do I pause a slide show?
A | Hit the Pause key on the keyboard. Hit any other key to un-pause it.


.topic 270
Quickly navigate between recently visited directories by selecting one from this drop-down list.

.topic 271
Click to open an image index view of the current directory.

.topic 272
Click to open the program manual.

.topic 273
Information about the format and resolution of the selected image file.

.topic 274
If you select an image file, you'll see a preview of what it looks like here.

.topic 99
FMJ-Software

.topic 204
Information about the currently loaded image.

.topic 201
Click here to visit FMJ-Software’s www-site!

.topic 202
Please make a donation if you like this program - this will greatly help us improving it for future versions!

.topic 203
Image Eye!

.topic 205
Image Eye!

.topic 221
Check to have the program start with the image window maximized.

.topic 223
Check to automatically size the image to the window when you resize a window.

.topic 233
Check to only automatically shrink images in size (i.e. never automatically enlarge them).

.topic 226
Check to hide the progress bar dialog during image operations.

.topic 224
Check to automatically shrink images that are larger than the current display resolution.

.topic 222
Check to display the image resolution in the title bar.

.topic 225
Check to display the full file path in the title bar.

.topic 220
Check to hide the window title bar and border lines whenever you move the mouse cursor outside of the image.

.topic 235
Click this button to change the background color of the viewer window (only seen when the image is smaller than the window, or when you have an image with transparency).

.topic 236
Check if you don’t want the list of recently visited directories and the last file opened to be remembered after you've exited the program.

.topic 237
Click to clear the list of recently visited directories and the last opened file.

.topic 238
Select the desired user interface language.

.topic 239
Edit which file types that the Windows Explorer opens in Image Eye.

.topic 240
Enter maximum horizontal size of image icons (in pixels).

.topic 241
Enter maximum vertical size of image icons (in pixels).

.topic 242
Enter spacing between image icons (in pixels).

.topic 243
Check to enable compression of index cache files.
This will save you some disk space (if you use index cache files) but will result in slightly slower loading times for the cached index icons.

.topic 244
Check to automatically create and save index cache files (in all directories that is visited).

.topic 247
Check if you want the full directory path, rather than only the directory name, to appear in the index window title bar.

.topic 248
Show the number of image files in the title bar.

.topic 250
Click this button to change the background color of the index window.

.topic 246
Check if you want the index window to be closed when you open an image (by clicking on its image icon).

.topic 260
Double-click on the small-boxes to check the file types for which you want Image Eye to be the default program that the Windows shell to use to 'open' files of the type.

.topic 280
Use this slider to change the contrast of the image. Increasing the contrast makes light areas lighter and dark areas darker. Decreasing it makes things a little more 'mid-gray'.

.topic 281
Currently set contrast adjustment.

.topic 282
Use this slider to change the brightness of the image. Increasing the brightness makes light areas lighter while dark remain dark.

.topic 283
Currently set brightness adjustment.

.topic 284
Use this slider to change the sharpness of the image. Increasing it makes edges more prominent. Decreasing it makes the image blurrier.

.topic 285
Currently set sharpness adjustment.

.topic 286
Use this slider to change the color hue of the image.

.topic 287
Currently set hue adjustment.

.topic 288
Use this slider to change the color saturation of the image. Increasing the color saturation makes the image more colorful while decreasing it makes it grayer.

.topic 289
Currently set saturation adjustment.

.topic 290
Use this slider to change the luminosity bias level of the image. Increasing it makes both light and dark areas lighter. Decreasing it makes both darker.

.topic 291
Currently set luminance value.

.topic 292
Use this slider to change the red color component (bias) of the image. Increasing it makes the image redder...

.topic 293
Currently set red bias value.

.topic 294
Use this slider to change the green color component (bias) of the image. Increasing it makes the image greener...

.topic 295
Currently set green bias value.

.topic 296
Use this slider to change the blue color component (bias) of the image. Increasing it makes the image bluer...

.topic 297
Currently set blue bias value.

.topic 298
Use this slider to change the value of the gamma transfer function (this controls the non-linearity of the intensity value distribution).

.topic 299
Currently set gamma value.

.topic 303
Select desired image rotation.

.topic 304
Check to mirror the image vertically.

.topic 305
Check to mirror the image horizontally.

.topic 300
Check to display the negative of the image.

.topic 301
Click to reset (clear) all the image adjustments. This will also delete any saved ".iea" image adjustment file.

.topic 302
Click to save all the image adjustments. These will be stored in an ".iea" file which will allow the adjustments to be automatically re-applied the next time that you open the current image – without actually modifying the actual image file in any way!

.topic 420
The name of the slideshow script file to be created. An extension of .ies will automatically be appended.

.topic 421
Don't add any delay between switching images (show them as fast as they can be decoded).

.topic 422
Wait for a keypress before switching images.

.topic 423
Delay for a specified time between switching images.

.topic 424
Enter the time to deylay between switching images.

.topic 425
Check this box if you want the full file paths to be written to the script files rather than only the file names.

.topic 426
Check this box if you want the slideshow to loop continuously.

.topic 427
Check this box if you want to manually edit the script before running it.

.topic 428
Check this box if you want the script file to be deleted after it has been run.


.BMP - Microsoft Windows Bitmap format
.DIB - Microsoft Windows Device Independent Bitmap
.RLE - Microsoft Windows RLE compressed bitmap

Features:

  • Pixel formats: 1, 4, 8, 16, 24, 32 bits/pixel.

  • Compression: Uncompressed, RLE.

  • Meta info: Density.


.CALS/.CAL/.RAS - Computer Aided Acquisition and Logistics Support format

Features:

  • Pixel formats: 1 bit/pixel.

  • Compression: CCITT Group 4 (T.6) fax compression.

  • Meta info: Name, Comment, Density.

  • Notes: Only "type I" files are supported.


.DDS - Microsoft DirectX surface

Features:

  • Pixel formats: 15..32 bits/pixel.

  • Compression: Uncompressed or DXT1 / DXT2 / DXT3 / DXT4 / DXT5 compressed.

  • Transparency: Alpha plane support.

  • Notes: Only the first (largest) mipmap is read.


.FITS/.FIT - NOST Flexible image transport system

Features:

  • Pixel formats: 8, 16, 32 integer bits/pixel, 32, 64 float bits/pixel.

  • Compression: None.

  • Meta info: Name, Author, Comment, Creation date, Source.

  • Notes: This format is used by many astronomers, e.g. at NASA. 1D data is not supported. For data with dimension > 2, only the first 2D is used. The data 'range' is always mapped onto the full range of an 8-bit grayscale bitmap for display.


.GIF - Compuserve Graphics interchange format

Features:

  • Pixel formats: 1..8 bits/pixel. Uninterlaced and interlaced.

  • Compression: LZW.

  • Transparency: Transparent color.

  • Meta info: Comment, Adobe XMP (Name, Author, Comment, Copyright, Keywords, Density, Creation date, GPS location).

  • Notes: Both v87a and v89a are supported. Animated GIF's are also supported (disposal methods 0, 1, 2 only). Overlay text (if present) is ignored.


.ICO - Microsoft Windows icon
.CUR - Microsoft Windows cursor

Features:

  • Pixel formats: 1, 4, 8, 24, 32 bits/pixel.

  • Compression: Uncompressed, PNG (deflate - used by Windows Vista and later).

  • Transparency: For 1, 4, 8 bits/pixel icons, the 'transparency mask' is translated into a transparent color. For 24 bits/pixel icons, the 'transparency mask' is translated into an alpha plane. For 32 bits/pixel icons (used by Windows XP and later), the icon contains an explicit alpha plane instead of mask.

  • Notes: Only the first (largest) mipmap is read.


.IFF - Interchange file format
.BBM - Electronic Arts DeluxePaint brush
.LBM - Electronic Arts DeluxePaint bitmap

Features:

  • Pixel formats: 1..8, 24 bits/pixel planar type 49h and 8 bits/pixel type 50h.

  • Compression: Uncompressed (type 0), Byte Run/RLE (type 1).

  • Transparency: Transparent color.

  • Meta info: Comment.

  • Note: This is a more general data storage format - only 'ILMB' image data is handled.


.JPG/JPEG - JPEG format
.JIF - JPEG image file

Features:

  • Pixel formats: 8, 24, 32 bits/pixel. YCbCr, RGB, CMYK, YCCK and Grayscale color spaces supported.

  • Compression: Extended baseline JPEG support: Both sequential and progressive scan images supported. DCT transform with 8 bits/component data precision. Huffman compression. It can read extended precision quantization tables (word size) as well as an extended number of Huffman tables (max. 4DC & 4AC).

  • Meta info: Comment, Density, PhotoShop extension (Name, Author, Comment, Copyright, Creation date, Source), EXIF extension (Comment, Source, Time, Copyright, GPS location), Adobe XMP (Name, Author, Comment, Copyright, Keywords, Density, Creation date, GPS location).


.PCX - ZSoft PC Paintbrush image

Features:

  • Pixel formats: 1, 4, 8, 24 bits/pixel.

  • Compression: Uncompressed, RLE.


.PNG - Portable network graphics

Features:

  • Pixel formats: Grayscale 1, 2, 4, 8, 16 bits/pixel. Palette 1, 2, 4, 8 bits/pixel. RGB 8, 16 bits/pixel. Uninterlaced and Adam7 interlaced supported.

  • Compression: Inflate / Deflate.

  • Transparency: Transparent color. Alpha plane.

  • Meta info: Name, Author, Comment, Copyright, Time, Source, Density, Creation date, Adobe XMP (Name, Author, Comment, Copyright, Keywords, Density, Creation date, GPS location).


.PSD - Adobe PhotoShop format

Features:

  • Pixel formats: 8, 24, 16, 48 bits/pixel. RGB, Grayscale, CMYK, Duotone and Indexed modes.

  • Compression: Uncompressed, RLE.

  • Meta info: Name, Author, Comment, Copyright, Creation date, Source, EXIF (Comment, Source, Creation date, Copyright, GPS location), IPTC IMM (Name, Author, Source, Comment, Copyright, Creation date, Keywords), Adobe XMP (Name, Author, Comment, Copyright, Keywords, Density, Creation date, GPS location).

  • Notes: Bitmap, Multi-channel, and Lab color modes are note supported.


.RAW - Raw image description file

Features:

  • Compression: None.

  • Notes: This is a text file describing the organization of 'raw' image data in one or more files - see further Reading raw images.


.TGA - Truevision TARGA format

Features:

  • Pixel formats: 8, 15, 16, 24, 32 bits/pixel.

  • Compression: Uncompressed, RLE.

  • Transparency: Alpha plane support.

  • Notes: Interlaced files are not supported.


.TIFF/.TIF - Tag image file format

Features:

  • Pixel formats: 1, 2, 4, 8, 24, 16, 48 bits/pixel. RGB, CMYK, YCbCr and Grayscale color spaces supported. Color response curves (if any) are ignored.

  • Compression: Uncompressed, LZW, Predicted (type 2) LZW, Packbits, CCITT Group 3 (T.4) and Group 4 (T.6) fax, JPEG, deflate (a.k.a. ZIP).

  • Transparency: Alpha plane support.

  • Meta info: Name, Author, Source, Comment, Copyright, Density, Creation date, EXIF (Comment, Source, Creation date, Copyright, GPS location), IPTC IMM (Name, Author, Source, Comment, Copyright, Creation date, Keywords), Adobe XMP (Name, Author, Comment, Copyright, Keywords, Density, Creation date, GPS location).